Bug 36599 - SMP kernel fails to reboot machine
SMP kernel fails to reboot machine
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-18 20:52 EDT by Russell Steffen
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 20:27:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
program to dump BIOS information (9.08 KB, text/plain)
2001-04-19 12:41 EDT, Arjan van de Ven
no flags Details
Output of the bios dump program (4.85 KB, text/plain)
2001-04-19 13:08 EDT, Russell Steffen
no flags Details

  None (edit)
Description Russell Steffen 2001-04-18 20:52:21 EDT
Hardware: Dell Poweredge 1300, 256MB, Dual PIII-500, PERC-2SC RAID 
controller

Rebooting the machine (either with "shutdown -r" or "reboot" or with 
ctrl-alt-del) causes the machine to hang instead of resetting. The last 
messages printed are:

Please stand by while rebooting the system.
stopping all md devices
Restarting system.

At this point the machine hangs, (ctrl-alt-del has no effect) and can 
only be restarted with manual intervention.

This only happens with the -smp and -enterprise kernels. The 
uni-processor-only kernel functions as expected.
Comment 1 Arjan van de Ven 2001-04-19 04:34:35 EDT
Can you try to use the following options as commandline options on the
 lilo-prompt? 
 reboot=c
 reboot=h
 reboot=b
 reboot=w
They change the algorithm with which the kernel tries to reboot.
Comment 2 Russell Steffen 2001-04-19 12:28:55 EDT
Using "reboot=b" works. All of the other reboot settings fail as desacribed 
on this machine.

I'm adding "reboot=b" to lilo.conf to make it permanent.

Comment 3 Arjan van de Ven 2001-04-19 12:39:25 EDT
Could you please run the attached program on your machine and attach the output
to this bug? (or mail me in private)
It will give us information (eg vendor and version) about the bios you have and
allows us to make "=b" the default for that specific bios in future kernels.
Comment 4 Arjan van de Ven 2001-04-19 12:41:51 EDT
Created attachment 15786 [details]
program to dump BIOS information
Comment 5 Russell Steffen 2001-04-19 13:08:21 EDT
Created attachment 15787 [details]
Output of the bios dump program

Note You need to log in before you can comment on or make changes to this bug.